<script setup>
import { Button } from '@/components/ui';
import { useAuthentik } from '@/composables/useAuthentik.js';

const { checkSessionStatus } = useAuthentik();

const handleClick = () => {
  checkSessionStatus();
};
</script>

<template>
  <Button @click="handleClick">
    <img class="size-4 opacity-90" src="/icons/settings.svg" alt="info" />
    Estado de Sesión
  </Button>
</template>
